
package eu.dnetlib.dhp.ircdl_extention.model;

import java.io.Serializable;
import java.util.List;

public class Orcid implements Serializable {
	private List<String> otherNames;
	private String inception;
	private String surname;
	private String mode;
	private String creditname;
	private String orcid;
	private Boolean works;
	private String name;

	public static Orcid newInstance(String oname, String osurname, String ocreditName, List<String> oOtherNames) {
		Orcid o = new Orcid();
		o.name = oname;
		o.surname = osurname;
		o.creditname = ocreditName;
		o.otherNames = oOtherNames;
		return o;
	}

	public List<String> getOtherNames() {
		return otherNames;
	}

	public void setOtherNames(List<String> otherNames) {
		this.otherNames = otherNames;
	}

	public String getInception() {
		return inception;
	}

	public void setInception(String inception) {
		this.inception = inception;
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	public String getMode() {
		return mode;
	}

	public void setMode(String mode) {
		this.mode = mode;
	}

	public String getCreditname() {
		return creditname;
	}

	public void setCreditname(String creditname) {
		this.creditname = creditname;
	}

	public String getOrcid() {
		return orcid;
	}

	public void setOrcid(String oid) {
		this.orcid = oid;
	}

	public Boolean getWorks() {
		return works;
	}

	public void setWorks(Boolean works) {
		this.works = works;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
